export default (t: (key: string) => string): Record<string, any> => ({
  scaleOptions: [
    {
      key: 'fit',
      content: t('fit'),
      child: 'fit',
    },
    {
      key: '50',
      content: '50 %',
      child: 50,
    },
    {
      key: '100',
      content: '100 %',
      child: 100,
    },
    {
      key: '150',
      content: '150 %',
      child: 150,
    },
    {
      key: '200',
      content: '200 %',
      child: 200,
    },
    {
      key: '250',
      content: '250 %',
      child: 250,
    },
  ],
});
