import styled from 'styled-components';

export const Container = styled.div`
  margin-top: 60px;
  padding: 24px 8px;
  position: relative;
  min-height: 724px;
  height: calc(100% - 60px);
  background-color: white;
`;

export const Head = styled.div`
  display: flex;
  align-items: center;
`;

export const Body = styled.div`
  overflow: scroll;
  padding: 8px;
  text-align: center;
  position: relative;
`;

export const Footer = styled.div`
  position: absolute;
  bottom: 10px;
  right: 25px;
  display: inline-flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-end;
`;

export const IconWrapper = styled.span`
  display: inline-flex;
  padding: 8px;
`;
