/* eslint-disable consistent-return */
import { createGlobalStyle } from 'styled-components';

export const GlobalStyle = createGlobalStyle`
  html, body {
    margin: 0;
    background-color: #c8c8c8;
    height: 100%;
    font-size: 14px;
    overflow: auto;
    -ms-overflow-style: -ms-autohiding-scrollbar;
  }

  div {
    box-sizing: border-box;
  }
  
  &:lang(en) {
    font-family: 'Open Sans', sans-serif;
  }
  &:lang(zh_tw) {
    font-family: 'Noto Sans TC', sans-serif;
  }
`;

export default GlobalStyle;
