export type StateType = {
  totalPage: number;
  currentPage: number;
  pdf: any;
  progress: ProgressType;
  viewport: ViewportType;
  scale: number;
  rotation: number;
  annotations: AnnotationType[];
  watermark: WatermarkType;
};

export default {
  totalPage: 1,
  currentPage: 1,
  pdf: null,
  progress: {
    loaded: 0,
    total: 1,
  },
  viewport: {},
  scale: 1,
  rotation: 0,
  annotations: [],
  watermark: {
    type: 'text',
    textcolor: '#c0c0c0',
    opacity: 0.3,
    text: '',
    scale: 2,
    rotation: 45,
    vertalign: 'center',
    horizalign: 'center',
    xoffset: 0,
    yoffset: 0,
    imagepath: '',
    isfront: 'yes',
  },
};
