import styled from 'styled-components';

export const Container = styled.div`
  padding: 50px 40px;
  background-color: white;
  width: 730px;
  height: 900px;
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  margin: auto;
  margin-top: 60px;
  display: flex;
  flex-direction: column;
  z-index: 1;
`;

export const Text = styled.p`
  text-align: center;
  font-size: 16px;
  color: #757575;
`;

export default {
  Container,
  Text,
};
