import styled from 'styled-components';

import { color } from '../../constants/style';

export const Wrapper = styled.div`
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 20px 0;
  width: 180px;
  height: 180px;
`;

export const PageNum = styled.div`
  margin-right: 20px;
`;

export const Img = styled.img`
  border: 1px solid ${color.black38};
  width: auto;
  height: 100%;
  box-sizing: border-box;
  cursor: pointer;
`;

export const Loading = styled.div`
  width: 146px;
  height: 146px;
  background-color: white;
`;
