import styled from 'styled-components';

export const OuterWrapper = styled('div')<{isFull: boolean}>`
  position: fixed;
  left: ${props => (props.isFull ? 0 : '267px')};
  right: 0;
  top: ${props => (props.isFull ? '-34px' : '60px')};
  bottom: 0;
  overflow: scroll;
  text-align: center;

  transition: all 225ms cubic-bezier(0, 0, 0.2, 1) 0ms;
`;

export const Wrapper = styled('div')<{width: number}>`
  display: inline-flex;
  flex-direction: column;
  width: ${props => props.width}px;
  margin: 0 10px;
`;
